<?php

class Init extends Config {

    public function __construct() {

        if (session_id() === '') {

            session_start();
            ob_start();
        } else {

            ob_start();
        }
    }

    static public function Vars() {

        $folder = $_SERVER['SCRIPT_NAME'];
        $folder = explode ('/', $folder);
        $folder = array_slice($folder, 0, -1);
        $folder = implode('/', $folder);
        
        $folder = str_replace('/', '', $folder);
        
        if ($folder == '') {

            $folder = '/';
        } else {

            $folder = '/'.$folder.'/';
        }
        
        $lf = mb_strlen($folder);

        $path = $_SERVER['REQUEST_URI'];
        $path = mb_substr($path, $lf);
        $path = explode('/', $path);

        $vars[0] = $folder;
        $vars[1] = $path;

        return $vars;
    }
}

?>